Skip to content

Lists a customer's payment methods

Request

GET {{baseURL}}/v2/payment-methods

This endpoint lists a customer's payment methods for the merchant.

See Also:
To add a new card payment method, see POST /v2/payment-methods/cards.
To add a new ACH payment method, see POST /v2/payment-methods/ach.
To retrieve a payment method, see GET /v2/payment-methods/{{paymentMethodId}}.
To update a payment method, see PATCH /v2/payment-methods/{{paymentMethodId}}.

Security
Bearer
Query
pageIndexinteger, (int32), >= 0

Specifies the page number of the returned search results.

A page is considered each set of the pageSize values.

The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.

Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.

For page size information, see pageSize.

Example: 0

Default:0
pageSizeinteger, (int32), [ 1 .. 100 ]

Specifies the number of items for each page of the returned search results.

A page is considered each set of the pageSize values.

The page count is zero-based. The maximum for pageIndex, or the page number, is the pageSize divided by the total count rounded down. For example, the pageSize is 50 and the total is 130. That means there are three pages, but the pageIndex value is in the inclusive range from zero to two.

For page numbering information, see pageIndex.

Example: 50

Default:20
ascboolean

Specifies the sort order is ascending.

The sort field is specified by the orderBy value.

If true, the sort order is ascending.
If false, the sort order is descending.

Example: true

Default:true
sortBystring

Specifies the field the results get ordered or sorted by.

The sort order is specified by the sortOrder value.
The field that gets sorted by is specified by the sortBy value.

Example:sortBy=ContactName
searchstring

Specifies the search string.

This performs a case-insensitive search that matches exactly or partially.

Example:search=Conners Electric
createdFromstring, (date-time)

Filters by the earliest inclusive created date (in an ISO 8601 date-time UTC format).

If only createdFrom is specified, the search returns all available items from the createdFrom value to the present. The fields createdFrom and createdTo may be used together to create an inclusive range. We recommend creating an inclusive range to avoid a potentially excessive number of returns.

Example:createdFrom=2026-02-19T20:24:52.934Z
createdTostring, (date-time)

Filters by the latest inclusive created date (in an ISO 8601 date-time UTC format).

If only createdFrom is specified, the search returns all available items from the createdFrom value to the present. The fields createdFrom and createdTo may be used together to create an inclusive range. We recommend creating an inclusive range to avoid a potentially excessive number of returns.

Example:createdTo=2026-03-06T14:24:52.934Z
customerIdstring, (uuid)

Filters by a customer's identifier.

If null or omitted, the response includes orphan payment methods with customer-linked payment methods.

Example:customerId=c4b210e9-be39-4ebc-8195-0c422de87f90
curl -i -X GET \
  'https://sandbox.api.flute.com/v2/payment-methods?pageIndex=0&pageSize=20&asc=true&sortBy=ContactName&search=Conners%20Electric&createdFrom=2026-02-19T20%3A24%3A52.934Z&createdTo=2026-03-06T14%3A24%3A52.934Z&customerId=c4b210e9-be39-4ebc-8195-0c422de87f90' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
itemsArray of objects or null
pageInfoobject

Indicates an object describing the pagination status.

If additional pages to review are needed, repeat the exact same search but include a new pageIndex value. Typically, this will increment the current pageIndex by one. However, any valid value may be used. Value restrictions include:

  • A value less than zero is not permitted.
  • Values equal to or greater than totalPages end successfully but will not return any items.
Response
{ "items": [ { "paymentMethodId": "8a06469f-25da-4763-990d-11a4bbc74ecb", "customerId": "4f7d41f8-1d45-4cb7-a1e8-788fea6a2b11", "name": "My Visa Card", "type": "Card", "isDefault": true, "createdOn": "2026-01-15T10:30:56.264Z", "card": { "cardMask": "************1111", "expirationMonth": 12, "expirationYear": 2033, "cardTokenType": "Local" } }, { "paymentMethodId": "7ada26ab-308a-4d2b-abb2-f0f69711ea38", "customerId": null, "name": "Acme Bus Savings", "type": "ElectronicCheck", "isDefault": false, "createdOn": "2026-02-01T09:00:56.264Z", "card": null, "ach": { "accountNumber": "****6789", "routingNumber": "021000021", "accountType": "Checking", "accountHolderType": "Business", "taxId": "***-**-6789", "companyName": "Acme Corp Inc" } } ], "pageInfo": { "pageIndex": 0, "pageSize": 20, "totalItems": 150, "totalPages": 8, "hasMore": true } }